Les esta saliendo a profesores cuando entran en la contabilidad un codigo 000000 a todos
03/06/2026 06:40 AM - Jose Antonio Martin Bravo

Status: Resuelta Start date: 03/06/2026
Priority: Urgente no, lo siguiente Due date:

Assignee: Jose Antonio Martin Bravo % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 11.00 hours
Description

Les esta saliendo a profesores cuando entran en la contabilidad un codigo 000000 a todos . Es el segundo que nos lo comunica.
De hecho si Eva se mete como contable, le sale tambien

Ayer nos lo dijo accediendo por Fundaweb un profe que es Rafael de Arce y ahora esta profe que se llama Olga Fernadez Lopez
Casualmente es el codigo que tuviste que poner a mano en nuevas matriculas la Facultad

Te paso pantallazo

History

#1 - 03/09/2026 10:21 AM - Daniel Garcia

- Assignee changed from Daniel Garcia to Jose Antonio Martin Bravo

Investigacion error cuentas contables 000000 y registro id_programa = 0

Se ha detectado un problema en produccién relacionado con la generacién de cédigos de cuenta contables terminados en 000000 (ej: 446000000,
447000000, 414000000).

Tras revisar el cédigo y las consultas SQL se ha identificado que el origen del problema esta en la existencia de un registro en la tabla programas
con id_programa = 0 que contiene datos reales.

Este registro deberia existir inicamente como registro vacio o de sistema, pero fue actualizado con los mismos datos de un programa real (ej:
programa 721196).

Causa del problema:

- El sistema genera automaticamente codigos de cuenta contables concatenando el prefijo de cuenta con el id_programa.

- Cuando el id_programa es 0, el algoritmo genera automaticamente cuentas con el sufijo 000000.

- Si el registro id_programa = 0 contiene datos reales y tiene responsables asociados, el sistema interpreta que es un programa valido y genera
cuentas contables incorrectas asociadas a ese programa.

- Estas cuentas aparecen posteriormente en consultas de profesores y en contabilidad.

Origen probable:

El origen mas probable es una actualizacién errénea realizada desde la aplicacién de escritorio Fundagest, que permite modificar la tabla
programas mediante una consulta SQL construida por concatenacién de texto.

Si el formulario carga incorrectamente el identificador del programa y este queda como 0, el sistema ejecuta el UPDATE sobre el registro
id_programa = 0, copiando los datos de otro programa real.

La aplicacién de Matriculas no puede haber provocado este problema, ya que Unicamente consulta datos de programas y no realiza
actualizaciones sobre esta tabla.

Impacto detectado:

- Registro id_programa = 0 con datos de un programa real.

- Generacioén de cuentas contables erréneas:

- 446000000

- 447000000

- 414000000

- otras similares dependiendo del prefijo.

- Aparicion de estas cuentas en consultas relacionadas con profesores y programas.

Acciones recomendadas:
- Restaurar el registro id_programa = 0 a su estado original (sin datos).

- Revisar las cuentas contables generadas con sufijo 000000 y eliminar o desactivar las que no correspondan.
- Afadir validaciones en la aplicacién de Fundagest para evitar actualizaciones con id_programa <= 0.

- Anadir validaciones en la generacion de cuentas para ignorar el programa 0.

- Revisar responsables o relaciones que pudieran haberse asociado al programa 0.

Objetivo de la tarea:

Analizar el impacto del registro id_programa = 0, corregir los datos inconsistentes generados en contabilidad y afiadir validaciones en el sistema
para evitar que vuelva a producirse este tipo de error.

#2 - 03/09/2026 04:14 PM - Daniel Garcia
- Status changed from Nueva to Resuelta

- % Done changed from 0 to 100

Files
Otro error-000000.pdf 38.2 KB 03/06/2026 Jose Antonio Martin Bravo
error-000000.pdf 579 KB 03/06/2026 Jose Antonio Martin Bravo
